/*
 * Gimble
 * Copyright (C) 2024 moonleay
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package net.moonleay.gimble.datagen

import net.fabricmc.fabric.api.datagen.v1.FabricDataGenerator
import net.fabricmc.fabric.api.datagen.v1.provider.FabricLanguageProvider

class En_us_GimbleLanguageProvider(dataGenerator: FabricDataGenerator?) :
    FabricLanguageProvider(dataGenerator, "en_us") {

    override fun generateTranslations(translationBuilder: TranslationBuilder?) {
        if (translationBuilder == null) return
        // Editor modes
        translationBuilder.add("gimble.category.editormode", "Editor Modes")
        translationBuilder.add("gimble.key.editor.mode.insert", "Enter Insert Mode")
        translationBuilder.add("gimble.key.editor.mode.replace", "Enter Replace Mode")
        translationBuilder.add("gimble.key.editor.mode.visual", "Enter Visual Mode")


        // Editor mode modifiers
        translationBuilder.add("gimble.category.editormodifier", "Editor Mode Modifiers")
        translationBuilder.add("gimble.key.editor.modifier.bulldozer", "Toggle Bulldozer Modifier")
        translationBuilder.add("gimble.key.editor.modifier.forceplace", "Toggle Force Place Modifier")
        translationBuilder.add("gimble.key.editor.modifier.noupdates", "Toggle No Updates Modifier")
        translationBuilder.add("gimble.key.editor.modifier.noclip", "Toggle No Clip Modifier")

        // Game mode
        translationBuilder.add("gimble.category.gamemode", "Game Mode")
        translationBuilder.add("gimble.key.game.mode.survival", "Enable Survival Mode")
        translationBuilder.add("gimble.key.game.mode.creative", "Enable Creative Mode")
        translationBuilder.add("gimble.key.game.mode.spectator", "Enable Spectator Mode")

    }
}
